# Uses of Interface
org.eclipse.emf.compare.merge.IDiffRelationshipComputer

Packages that use IDiffRelationshipComputer
Package
Description
org.eclipse.emf.compare.ide.ui.internal.configuration
org.eclipse.emf.compare.ide.ui.internal.logical
org.eclipse.emf.compare.ide.ui.internal.structuremergeviewer
org.eclipse.emf.compare.ide.ui.internal.structuremergeviewer.actions
org.eclipse.emf.compare.merge
org.eclipse.emf.compare.rcp.ui.internal.configuration
org.eclipse.emf.compare.rcp.ui.internal.configuration.impl

## Uses of IDiffRelationshipComputer in org.eclipse.emf.compare.ide.ui.internal.configuration

Methods in org.eclipse.emf.compare.ide.ui.internal.configuration that return IDiffRelationshipComputer
Modifier and Type
Method
Description
`IDiffRelationshipComputer`
EMFCompareConfiguration.`getDiffRelationshipComputer()`
Methods in org.eclipse.emf.compare.ide.ui.internal.configuration with parameters of type IDiffRelationshipComputer
Modifier and Type
Method
Description
`void`
EMFCompareConfiguration.`setDiffRelationshipComputer(IDiffRelationshipComputer diffRelationshipComputer)`

## Uses of IDiffRelationshipComputer in org.eclipse.emf.compare.ide.ui.internal.logical

Methods in org.eclipse.emf.compare.ide.ui.internal.logical with parameters of type IDiffRelationshipComputer
Modifier and Type
Method
Description
`protected void`
EMFResourceMappingMerger.`doMergeForDiff(Monitor emfMonitor, Set<URI> conflictingURIs, Diff diff, IDiffRelationshipComputer relationshipComputer)`

## Uses of IDiffRelationshipComputer in org.eclipse.emf.compare.ide.ui.internal.structuremergeviewer

Methods in org.eclipse.emf.compare.ide.ui.internal.structuremergeviewer that return IDiffRelationshipComputer
Modifier and Type
Method
Description
`protected IDiffRelationshipComputer`
DependencyData.`getDiffRelationshipComputer(IMerger.Registry mergerRegistry)`
Returns the diff relationship computer instance from the compare configuration with the given merger registry.

## Uses of IDiffRelationshipComputer in org.eclipse.emf.compare.ide.ui.internal.structuremergeviewer.actions

Methods in org.eclipse.emf.compare.ide.ui.internal.structuremergeviewer.actions that return IDiffRelationshipComputer
Modifier and Type
Method
Description
`protected IDiffRelationshipComputer`
AbstractMergeRunnable.`getDiffRelationshipComputer(IMerger.Registry mergerRegistry)`
Returns the diff relationship computer instance from the compare configuration with the given merger registry.
`protected IDiffRelationshipComputer`
MergeAction.`getDiffRelationshipComputer()`
Methods in org.eclipse.emf.compare.ide.ui.internal.structuremergeviewer.actions with parameters of type IDiffRelationshipComputer
Modifier and Type
Method
Description
`protected IMergeRunnable`
MergeAction.`createMergeRunnable(MergeMode mode, boolean leftEditable, boolean rightEditable, IDiffRelationshipComputer relationshipComputer)`
`protected MergeNonConflictingRunnable`
MergeAllNonConflictingAction.`createMergeRunnable(MergeMode mode, boolean isLeftEditable, boolean isRightEditable, IDiffRelationshipComputer relationshipComputer)`
`protected IMergeRunnable`
MergeContainedAction.`createMergeRunnable(MergeMode mode, boolean isLeftEditable, boolean isRightEditable, IDiffRelationshipComputer relationshipComputer)`
`protected IMergeRunnable`
MergeContainedConflictingAction.`createMergeRunnable(MergeMode mode, boolean isLeftEditable, boolean isRightEditable, IDiffRelationshipComputer relationshipComputer)`
`protected IMergeRunnable`
MergeContainedNonConflictingAction.`createMergeRunnable(MergeMode mode, boolean isLeftEditable, boolean isRightEditable, IDiffRelationshipComputer relationshipComputer)`
Constructors in org.eclipse.emf.compare.ide.ui.internal.structuremergeviewer.actions with parameters of type IDiffRelationshipComputer
Modifier
Constructor
Description
``
`AbstractMergeRunnable(boolean isLeftEditable, boolean isRightEditable, MergeMode mergeMode, IDiffRelationshipComputer diffRelationshipComputer)`
Default constructor.
``
`MergeConflictingRunnable(boolean isLeftEditable, boolean isRightEditable, MergeMode mergeMode, IDiffRelationshipComputer diffRelationshipComputer)`
Default constructor.
``
`MergeContainedRunnable(boolean isLeftEditable, boolean isRightEditable, MergeMode mergeMode, IDiffRelationshipComputer diffRelationshipComputer)`
``
`MergeNonConflictingRunnable(boolean isLeftEditable, boolean isRightEditable, MergeMode mergeMode, IDiffRelationshipComputer diffRelationshipComputer)`
Default constructor.
``
`MergeRunnableImpl(boolean isLeftEditable, boolean isRightEditable, MergeMode mergeMode, IDiffRelationshipComputer diffRelationshipComputer)`

## Uses of IDiffRelationshipComputer in org.eclipse.emf.compare.merge

Classes in org.eclipse.emf.compare.merge that implement IDiffRelationshipComputer
Modifier and Type
Class
Description
`class`
`CachingDiffRelationshipComputer`
A computer implementation to cache the relationship of diffs.
`class`
`DiffRelationshipComputer`
A computer implementation to calculate the relationship of differences in EMF Compare.
Constructors in org.eclipse.emf.compare.merge with parameters of type IDiffRelationshipComputer
Modifier
Constructor
Description
``
`BatchMerger(IDiffRelationshipComputer relationshipComputer)`
Constructs our batch merger provided the registry from which to retrieve the delegate mergers.
``
`BatchMerger(IDiffRelationshipComputer relationshipComputer, com.google.common.base.Predicate<? super Diff> filter)`
Constructs our batch merger provided the registry from which to retrieve the delegate mergers, and a filter if you only wish to merge specific differences.
``
`ComputeDiffsToMerge(boolean rightToLeft, IDiffRelationshipComputer relationshipComputer)`
Constructor if there is no merge mode for this action.
``
`ComputeDiffsToMerge(MergeMode mergeMode, boolean isLeftEditable, boolean isRightEditable, IDiffRelationshipComputer relationshipComputer)`
Constructor.

## Uses of IDiffRelationshipComputer in org.eclipse.emf.compare.rcp.ui.internal.configuration

Methods in org.eclipse.emf.compare.rcp.ui.internal.configuration that return IDiffRelationshipComputer
Modifier and Type
Method
Description
`IDiffRelationshipComputer`
IEMFCompareConfiguration.`getDiffRelationshipComputer()`
`IDiffRelationshipComputer`
IDiffRelationshipComputerChange.`getNewValue()`
New value of the `IDiffRelationshipComputer`.
`IDiffRelationshipComputer`
IDiffRelationshipComputerChange.`getOldValue()`
Previous value of the `IDiffRelationshipComputer`.
Methods in org.eclipse.emf.compare.rcp.ui.internal.configuration with parameters of type IDiffRelationshipComputer
Modifier and Type
Method
Description
`void`
IEMFCompareConfiguration.`setDiffRelationshipComputer(IDiffRelationshipComputer diffRelationshipComputer)`

## Uses of IDiffRelationshipComputer in org.eclipse.emf.compare.rcp.ui.internal.configuration.impl

Constructors in org.eclipse.emf.compare.rcp.ui.internal.configuration.impl with parameters of type IDiffRelationshipComputer
Modifier
Constructor
Description
``
`DiffRelationshipComputerChange(IDiffRelationshipComputer oldValue, IDiffRelationshipComputer newValue)`